# TODO: use system six, [backports.]ssl_match_hostname
#
# Conditional build:
%bcond_without	python2	# CPython 2.x module
%bcond_without	python3	# CPython 3.x module
%bcond_with	tests	# test target (uses network etc.)

%define		module		urllib3
%define		pypi_name	urllib3
Summary:	HTTP library with thread-safe connection pooling, file post, and more
Summary(pl.UTF-8):	Biblioteka HTTP z bezpieczną wątkowo pulą połączeń, wysyłaniem plików itd.
Name:		python-%{module}
Version:	1.22
Release:	2
License:	MIT
Group:		Development/Languages/Python
Source0:	https://files.pythonhosted.org/packages/source/u/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
# Source0-md5:	0da7bed3fe94bf7dc59ae37885cc72f7
URL:		http://urllib3.readthedocs.org/
%if %{with python2}
BuildRequires:	python-modules >= 1:2.7
%if %{with tests}
BuildRequires:	python-PySocks >= 1.5.6
BuildRequires:	python-PySocks < 2.0
BuildRequires:	python-mock
BuildRequires:	python-nose
BuildRequires:	python-tornado
# SO_REUSEPORT option
BuildRequires:	uname(release) >= 3.9
%endif
%endif
%if %{with python3}
BuildRequires:	python3-modules >= 1:3.2
%if %{with tests}
BuildRequires:	python3-PySocks >= 1.5.6
BuildRequires:	python3-PySocks < 2.0
BuildRequires:	python3-nose
BuildRequires:	python3-tornado
# SO_REUSEPORT option
BuildRequires:	uname(release) >= 3.9
%endif
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python-modules >= 1:2.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python 2 HTTP module with connection pooling and file POST abilities.
Features are:
- Re-use the same socket connection for multiple requests (with
  optional client-side certificate verification).
- File posting (encode_multipart_formdata).
- Built-in redirection and retries (optional).
- Supports gzip and deflate decoding.
- Thread-safe and sanity-safe.

%description -l pl.UTF-8
Moduł HTTP dla Pythona 2 z pulą połączeń i możliwością wysyłania
plików metodą POST. Możliwości:
- używanie tego samego połączenia dla wielu żądań (z opcjonalną
  weryfikacją certyfikatu po stronie klienta)
- wysyłanie plików (encode_multipart_formdata)
- wbudowane przekierowania i ponawianie prób (opcjonalne)
- obsługa kodowań gzip i deflate
- bezpieczeństwo względem wątków.

%package -n python3-urllib3
Summary:	HTTP library with thread-safe connection pooling, file post, and more
Summary(pl.UTF-8):	Biblioteka HTTP z bezpieczną wątkowo pulą połączeń, wysyłaniem plików itd.
Group:		Development/Languages/Python
Requires:	python3-modules >= 1:3.2

%description -n python3-urllib3
Python 3 HTTP module with connection pooling and file POST abilities.
Features are:
- Re-use the same socket connection for multiple requests (with
  optional client-side certificate verification).
- File posting (encode_multipart_formdata).
- Built-in redirection and retries (optional).
- Supports gzip and deflate decoding.
- Thread-safe and sanity-safe.

%description -n python3-urllib3 -l pl.UTF-8
Moduł HTTP dla Pythona 3 z pulą połączeń i możliwością wysyłania
plików metodą POST. Możliwości:
- używanie tego samego połączenia dla wielu żądań (z opcjonalną
  weryfikacją certyfikatu po stronie klienta)
- wysyłanie plików (encode_multipart_formdata)
- wbudowane przekierowania i ponawianie prób (opcjonalne)
- obsługa kodowań gzip i deflate
- bezpieczeństwo względem wątków.

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python2}
%py_build %{?with_tests:test}
%endif

%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install
%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc CHANGES.rst CONTRIBUTORS.txt LICENSE.txt README.rst
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{module}-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-urllib3
%defattr(644,root,root,755)
%doc CHANGES.rst CONTRIBUTORS.txt LICENSE.txt README.rst
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{module}-%{version}-py*.egg-info
%endif
%changelog
* Sat Aug 05 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-urllib3.git;a=log;h=master

* Sat Aug 05 2017 Elan Ruusamäe <glen@pld-linux.org> 5381b07
- fix python-requests

* Wed Aug 02 2017 Jacek Konieczny <j.konieczny@eggsoft.pl> 686fd12
- Version: 1.22

* Sun Mar 05 2017 Jakub Bogusz <qboosh@pld-linux.org> 9e66ed9
- updated to 1.20

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 41a3744
- python 3.6
- release 2 (by relup.sh)

* Mon Aug 22 2016 Marcin Krol <hawk@tld-linux.org> bb0777d
- updated to 1.16

* Mon Mar 28 2016 Jakub Bogusz <qboosh@pld-linux.org> fb337b2
- updated to 1.14

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 8cad455
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> d42570a
- release 3 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> fbc852e
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> ca71647
- release 2 (by relup.sh)

* Fri Mar 13 2015 Mateusz Korniak <matkor@pld-linux.org> ddcf22d
- up to 1.10.2

* Fri Mar 06 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 9855502
- up to 1.10.1

* Tue Dec 16 2014 Jacek Konieczny <j.konieczny@eggsoft.pl> 9454fb0
- Version: 1.10

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> be29cb7
- python 3.4
- release 2 (by relup.sh)

* Fri Oct 03 2014 Jakub Bogusz <qboosh@pld-linux.org> d1b278c
- pl

* Wed Sep 24 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 33176d8
- up to 1.9.1

* Fri Mar 07 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> fdbd499
- up 1.8

* Sun Oct 13 2013 Kacper Kornet <draenog@pld-linux.org> f057587
- updated to 1.7.1

* Tue Aug 27 2013 Kacper Kornet <draenog@pld-linux.org> f2a9f01
- updated to 1.7

* Wed Jun 26 2013 Łukasz Kieś <kiesiu@pld-linux.org> f980972
- new, version 1.6

